Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io
Interface DocumentReader

All Known Implementing Classes:
  AbstractDocumentReader, NewickReader, NexusReader, TextStreamReader, TGFReader, XTGReader

    public interface DocumentReader

Method Summary
`Document` | `read(File file)`
`Document` | `read(File file, NodeDataAdapter internalAdapter, NodeDataAdapter branchLengthsAdapter)`
`Document` | `read(File file, NodeDataAdapter internalAdapter, NodeDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`
`Document` | `read(InputStream stream)`
`Document` | `read(InputStream stream, NodeDataAdapter internalAdapter, NodeDataAdapter branchLengthsAdapter)`
`Document` | `read(InputStream stream, NodeDataAdapter internalAdapter, NodeDataAdapter branchLengthsAdapter, TreeSelector selector, boolean translateInternalNodes)`

Method Detail

### read

    Document read(InputStream stream)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(InputStream stream,
                  NodeDataAdapter internalAdapter,
                  NodeDataAdapter branchLengthsAdapter)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file,
                  NodeDataAdapter internalAdapter,
                  NodeDataAdapter branchLengthsAdapter)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(InputStream stream,
                  NodeDataAdapter internalAdapter,
                  NodeDataAdapter branchLengthsAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws Exception

  Throws:
    `Exception`

### read

    Document read(File file,
                  NodeDataAdapter internalAdapter,
                  NodeDataAdapter branchLengthsAdapter,
                  TreeSelector selector,
                  boolean translateInternalNodes)
                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD